org.keycloak.adapters.undertow

## Class ServletRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.undertow.AbstractUndertowRequestAuthenticator
    - - org.keycloak.adapters.undertow.ServletRequestAuthenticator

- Direct Known Subclasses:
    WildflyRequestAuthenticator

      public class ServletRequestAuthenticator
      extends AbstractUndertowRequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke, Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.adapters.undertow.AbstractUndertowRequestAuthenticator

      `exchange, securityContext`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, log, sslRedirectPort, tokenStore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletRequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment, int sslRedirectPort, io.undertow.security.api.SecurityContext securityContext, io.undertow.server.HttpServerExchange exchange, AdapterTokenStore tokenStore)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected KeycloakUndertowAccount` | `createAccount(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal)` Subclasses need to be able to create their own version of the KeycloakUndertowAccount
    `protected String` | `getHttpSessionId(boolean create)`
    `protected javax.servlet.http.HttpSession` | `getSession(boolean create)`
    `protected void` | `propagateKeycloakContext(KeycloakUndertowAccount account)`

    - ### Methods inherited from class org.keycloak.adapters.undertow.AbstractUndertowRequestAuthenticator

      `completeBearerAuthentication, completeOAuthAuthentication, createOAuthAuthenticator`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBasicAuthAuthenticator, createBearerTokenAuthenticator, getChallenge, verifySSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletRequestAuthenticator

          public ServletRequestAuthenticator(HttpFacade facade,
                                     KeycloakDeployment deployment,
                                     int sslRedirectPort,
                                     io.undertow.security.api.SecurityContext securityContext,
                                     io.undertow.server.HttpServerExchange exchange,
                                     AdapterTokenStore tokenStore)

  - ### Method Detail

    - #### propagateKeycloakContext

          protected void propagateKeycloakContext(KeycloakUndertowAccount account)

      Overrides:
        `propagateKeycloakContext` in class `AbstractUndertowRequestAuthenticator`

    - #### createAccount

          protected KeycloakUndertowAccount createAccount(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal)

      Description copied from class: `AbstractUndertowRequestAuthenticator`
      Subclasses need to be able to create their own version of the KeycloakUndertowAccount
      Specified by:
        `createAccount` in class `AbstractUndertowRequestAuthenticator`
      Returns:
        The account

    - #### getHttpSessionId

          protected String getHttpSessionId(boolean create)

      Overrides:
        `getHttpSessionId` in class `AbstractUndertowRequestAuthenticator`

    - #### getSession

          protected javax.servlet.http.HttpSession getSession(boolean create)

Copyright © 2014. All Rights Reserved.